#ifndef BLUETOOTHACCEPTOR_H
#define BLUETOOTHACCEPTOR_H

#include "BluetoothServiceProvider.h"

#include <rx/columbus/logging/LoggingServicePerformerFactory.h>

class ServiceAcceptorPrivate;

class BluetoothAcceptor : public BluetoothServiceProvider
{
    Q_OBJECT

public:
    explicit BluetoothAcceptor(quint16 channel, LoggingServicePerformerFactory *factory, QObject *parent = 0);
            ~BluetoothAcceptor();

    bool initialize();

signals:
    void connected(LoggingServicePerformer *perfomer);

protected slots:
    void onConnect();
    void onDisconnect();

private:
    ServiceAcceptorPrivate *d;
};

#endif // BLUETOOTHACCEPTOR_H
