#ifndef BLUETOOTHCONNECTOR_H
#define BLUETOOTHCONNECTOR_H

#include "BluetoothServiceProvider.h"

#include <rx/columbus/logging/LoggingServicePerformerFactory.h>

class BluetoothConnectorPrivate;

class BluetoothConnector : public BluetoothServiceProvider
{
    Q_OBJECT

public:
    explicit BluetoothConnector(const QString &bdaddr, quint16 channel, LoggingServicePerformerFactory *factory, QObject *parent = 0);
            ~BluetoothConnector();

    bool initialize();

protected slots:
    void onConnect();
    void onDisconnect();

private:
    BluetoothConnectorPrivate *d;
};

#endif // BLUETOOTHCONNECTOR_H
