#ifndef TCPNETWORKACCEPTOR_H
#define TCPNETWORKACCEPTOR_H

#include <QObject>

#include "NetworkServiceProvider.h"
#include <rx/columbus/logging/LoggingServicePerformerFactory.h>

class TCPNetworkAcceptorPrivate;

class TCPNetworkAcceptor : public NetworkServiceProvider
{
    Q_OBJECT

public:
    explicit TCPNetworkAcceptor(const QString &address, quint16 port, LoggingServicePerformerFactory *factory, QObject *parent = 0);
            ~TCPNetworkAcceptor();

    bool initialize();

protected slots:
    void onNewConnection();
    void onClientDisconnect();

private:
    TCPNetworkAcceptorPrivate *d;
};

#endif // TCPNETWORKACCEPTOR_H
